      function ocon(d,t)
*
*  compute the conductive opacity of a specific rho-t point. 
*  note:  in this version, the hubbard lampe opacities have been replaced
*  by the conductive opacities of itoh et al (see top of code for
*  references.)
*
      implicit double precision(a-h,o-z)

      common/je/je
      common/comp/amhyhe,amheca,x(4)
*
*  the itoh opacities are only good down to log(rho) = 1.6
*  therefore, maw put in this kludge where if the density is
*  less than 1.8 and greater than 1.5, the interpolate between
*  opacity tables.  if d < 1.5, then use hubbard-lampe conductive
*  opacities.
*
      if (d .ge. 1.8) then
         ocon = oconit(d,t)
      elseif ( d .ge. 1.5 ) then
         dfrac = (d - 1.5) / 0.3
         ocon = dfrac * oconit(d,t) + (1.-dfrac) * oconhl(d,t)
      else
         ocon = oconhl(d,t)
      endif
      if(dabs(ocon).gt.40.)then
        ocon=dsign(40.d0,ocon)
      endif

      return
      end 

************************************************************************

